﻿Shader "Custom/soldier_shader" {
	Properties {
		_MainTex ("Base (RGB)", 2D) = "white" {}
		_RefTex ("Reflection (RGB)", 2D) ="white" {}
		_specularColor("Specular Color", Color) = (1,1,1,1)
		_specPow("Specular power", range(0.1,10)) = 3
		_extAmount("Extrusion Amount", range(-0.1,0.1)) = 0
		_channelRes("Channel quantization constant", range(0, 16)) =3
	}
	SubShader {
		Tags { "RenderType"="Opaque" }
		LOD 200
		
		CGPROGRAM
		#pragma surface surf BlinnPhong vertex:vert finalcolor:mycolor
		#pragma target 3.0

		sampler2D _MainTex;
		sampler2D _RefTex;
		float4 _specularColor;
		float _specPow;
		float _extAmount;
		float _channelRes;

		struct Input {
			float2 uv_MainTex;
			float3 viewDir;
			float3 worldRefl;
			float3 worldNormal;
			float4 screenPos;
		};
		
      	void vert (inout appdata_full v) {
        	
      	}
      	
      	void mycolor (Input IN, SurfaceOutput o, inout fixed4 color)
      	{
      	}

		void surf (Input IN, inout SurfaceOutput o) {
			o.Albedo = 0.5;
			o.Alpha = 1;
		}
		ENDCG
	} 
	FallBack "Diffuse"
}
